﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class TelerikWebForm : System.Web.UI.Page 
{
   private DataTable categories;
 
          protected void Page_Load(object sender, EventArgs e)
          {
               Createcategories();
                
            
               
               RadOrgChart1.DataFieldID = "CategoryID";
               RadOrgChart1.DataFieldParentID = "ParentCategory";
               RadOrgChart1.DataTextField = "Name";
               RadOrgChart1.DataImageUrlField = "ImageUrl";
               RadOrgChart1.DataCollapsedField = "Collapsed";
               RadOrgChart1.DataSource = categories;
 
               RadOrgChart1.NodeDataBound += new Telerik.Web.UI.OrgChartNodeDataBoundEventHandler(RadOrgChart1_NodeDataBound);
 
               RadOrgChart1.DataBind();
          }
 
          void RadOrgChart1_NodeDataBound(object sender, Telerik.Web.UI.OrgChartNodeDataBoundEventArguments e)
          {
               //if (e.Node.ID == "3" || e.Node.ID == "7" || e.Node.ID == "8")
               //     e.Node.CssClass = "rocSoftware";
               //else if (e.Node.ID != "1")
               //     e.Node.CssClass = "rocHardware";
          }
 
          private void Createcategories()
          {
               categories = new DataTable();
               categories.Columns.Add("CategoryID");
               categories.Columns.Add("ParentCategory");
               categories.Columns.Add("Name");
               categories.Columns.Add("ImageUrl");
               categories.Columns.Add("Collapsed");
 
               categories.Rows.Add(new string[] { "1", null, "Computer System", "images/pc.png", "0" });
               categories.Rows.Add(new string[] { "2", "1", "Hardware", "images/hardware.png", "0" });
               categories.Rows.Add(new string[] { "3", "1", "Software", "images/software.png", "1" });
               categories.Rows.Add(new string[] { "4", "2", "Motherboard", "images/motherboard.png" , "1" });
               categories.Rows.Add(new string[] { "5", "2", "Storage", "images/storage.png", "1" });
               categories.Rows.Add(new string[] { "6", "2", "Input/Output Devices", "images/input-output.png", "1" });
               categories.Rows.Add(new string[] { "7", "3", "System", "images/system.png", "1" });
               categories.Rows.Add(new string[] { "8", "3", "Applications", "images/application.png", "1" });
          }

          protected void RadOrgChart1_NodeDataBound1(object sender, OrgChartNodeDataBoundEventArguments e)
          {
            
          }
    
}
